Error 'Could Not Load SSL Library' when using Indy SSL components

By: Angel Martinez

Abstract: explains why the SSL libraries are not included with Indy and where to obtain the missing dll's

Problem:


When using the Indy SSL components, an error 'Could Not Load SSL Library' is raised.

Answer:


This error is raised because you must have OpenSSL installed on your machine in order to use the IndySSL components. At runtime, Indy attempts to load libeay32.dll and ssleay32.dll. Due to restrictions on exporting SSL technology, these .dll's are not distributed along with Indy. Please review Indy's SSL site for information on where you can obtain the OpenSSL .dll's.
https://www.indyproject.org/ssl.html


Server Response from: ETNASC03